=== debian/changelog ===
curl3 (7.58.0-2ubuntu2) bionic; urgency=medium

  * Upload a curl3 package, that provides openssl1.0 based curl3 library
    and package, for packages that use both openssl-curl and openssl1.0
    directly.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Mar 2018 13:41:59 +0100

curl (7.58.0-2ubuntu1) bionic; urgency=medium

  * Use an if statement to conditionally disable libssh2 in Ubuntu-only

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jan 2018 10:19:32 +0100

curl (7.58.0-2) unstable; urgency=medium

  * Explicitly enable libssh2 support which got silently disabled in the
    previous update

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 24 Jan 2018 20:27:50 +0000

curl (7.58.0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop libssh2-1-dev.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Jan 2018 22:31:28 +0100

curl (7.58.0-1) unstable; urgency=medium

  * New upstream release
    - Fix HTTP/2 trailer out-of-bounds read as per CVE-2018-1000005
      https://curl.haxx.se/docs/adv_2018-824a.html
    - Fix HTTP authentication leak in redirects as per CVE-2018-1000007
      https://curl.haxx.se/docs/adv_2018-b3bf.html
  * Point Vcs-* to salsa.d.o
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Bump debhlper compat level to 11
  * Refresh patches
  * fix insecure-copyright-format-uri

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 24 Jan 2018 11:13:58 +0000

curl (7.57.0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop libssh2-1-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Dec 2017 18:11:20 +0100

curl (7.57.0-1) unstable; urgency=medium

  * New upstream release
    - Fix NTLM buffer overflow via integer overflow as per CVE-2017-8816
      https://curl.haxx.se/docs/adv_2017-11e7.html
    - Fix FTP wildcard out of bounds read as per CVE-2017-8817
      https://curl.haxx.se/docs/adv_2017-ae72.html
    - Fix SSL out of buffer access as per CVE-2017-8818
      https://curl.haxx.se/docs/adv_2017-af0a.html
  * Remove -fdebug-prefix-map from curl-config.
    Thanks to Timo Weingärtner for the patch (Closes: #861974, #874223, #874238)
  * Don't install zsh completion when cross compiling.
    Thanks to Wookey for the patch (Closes: #812965)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 30 Nov 2017 10:16:03 +0000

curl (7.56.1-1) unstable; urgency=medium

  * New upstream release
    - Fix IMAP FETCH response out of bounds read as per CVE-2017-1000257
      https://curl.haxx.se/docs/adv_20171023.html
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Drop 01_runtests_gdb.patch
  * Drop 12_dont-wait-on-CONNECT.patch
  * Refresh patches
  * Update *.symbols files
  * Use https:// URL in watch file

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Oct 2017 11:05:48 +0100

curl (7.55.1-1ubuntu3) bionic; urgency=medium

  * SECURITY UPDATE: NTLM buffer overflow via integer overflow
    - debian/patches/CVE-2017-8816.patch: avoid integer overflow for malloc
      size in lib/curl_ntlm_core.c
    - CVE-2017-8816
  * SECURITY UPDATE: FTP wildcard out of bounds read
    - debian/patches/CVE-2017-8817.patch: fix heap buffer overflow in
      setcharset in lib/curl_fnmatch.c, added tests to
      tests/data/Makefile.inc, tests/data/test1163.
    - CVE-2017-8817

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Nov 2017 15:29:49 -0500

curl (7.55.1-1ubuntu2.1) artful-security; urgency=medium

  * SECURITY UPDATE: IMAP FETCH response out of bounds read
    - debian/patches/CVE-2017-1000257.patch: check size in lib/imap.c.
    - CVE-2017-1000257

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Oct 2017 11:06:14 -0400

curl (7.55.1-1ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: FTP PWD response parser out of bounds read
    - debian/patches/CVE-2017-1000254.patch: zero terminate the entry path
      even on bad input in lib/ftp.c, added test to
      tests/data/Makefile.inc, tests/data/test1152.
    - CVE-2017-1000254

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Oct 2017 08:35:10 -0400

curl (7.55.1-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop libssh2-1-dev, and libnghttp2-dev.
      + Drop libssh2-1-dev from binary package Depends.
      + debian/control: drop --with-nghttp2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2017 22:14:32 +0200

curl (7.55.1-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS on powerpc (Closes: #872502)
  * Apply upstream patch to fix connection timeouts with NetworkManager
    (Closes: #873181)
  * Refresh patches
  * Bump Standards-Version to 4.1.0 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 02 Sep 2017 12:10:22 +0100

curl (7.55.0-1ubuntu2) artful; urgency=medium

  * debian/patches/0001-http-Don-t-wait-on-CONNECT-when-there-is-no-proxy.patch:
    Cherry-pick from upstream, via Arch: Don't wait for CONNECT. This fixes
    timeouts in network-manager's connectivity checker.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 25 Aug 2017 10:46:14 +0100

curl (7.55.0-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies not in main:
      + Build-Depends: Drop libssh2-1-dev, and libnghttp2-dev.
      + Drop libssh2-1-dev from binary package Depends.
      + debian/control: drop --with-nghttp2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2017 13:02:36 +0200

curl (7.55.0-1) unstable; urgency=medium

  * New upstream release
    - Fix TFTP sends more than buffer size as per CVE-2017-1000100
      (Closes: #871555)
    - Fix URL globbing out of bounds read as per CVE-2017-1000101
      (Closes: #871554)

